## kusa 1.5-ku25-05a

=== debian/changelog ===
kusa (1.5-ku25-05a) unstable; urgency=low

  * srv-mail
    - fix: vmail setup various error (filepath called with -f option, filepath used
    	   instead of create_dir, missing vmail user)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 25 May 2025 15:07:24 +0200

kusa (1.5-ku25-03c) unstable; urgency=low

  * sbin/kusa-reconf, sbin/kusa-functions.sh
    - mod: today dates now in ISO format (YYYY-mm-dd instead of YYYY.mm.dd)
    - mod: conferma() pseudofunc renamed to confirm()
    - mod: minor changes to comments

  * base-server/pkgs-install
    - add: xfsprogs

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 15 Mar 2025 10:17:17 +0100

kusa (1.5-ku25-03a) unstable; urgency=low

  * srv-mail
    - add: dovecot virtual users support (up to now we would able to setup virtual
    	   user manually, now is integrated in the module);
	    - user db file /etc/dovecot/users
	    - utility to add/update virtual user: /usr/sbin/ku_vmail_user
	    - default homes in /home/vmail/%u (

	   related additions in module dist file:
  	    - vmail_user	system user (name, not uid)
  	    - vmail_gid		system group (name or gid)
  	    - vmail_homes	virtual users homes (%u will be appended)
  	    - vmail_quota	default quota

     - add: dovecot/conf.d/99-ku-debug.conf
     	   inactive config file, you can change it on-the-fly to activate
	   various debug options

  * cln-kernels
    - upd: daedalus version from 28 to 31

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 05 Mar 2025 15:52:05 +0100

kusa (1.5-ku25-02a) unstable; urgency=low

  * WIP: pve (proxmox) partial support
    - the class must be set to 'none'
    - only few modules are allowed (atm: base-rsync, local-pre, local)
    - kusa-bootstrap adds daedalus (=debian-12) repos
    - ku-distroenv from ku-base package is modified ($DISTRIB_IS_PVE added)
      pve systems are tagged as 'pve-debian-12'
    - added right id (or *) to 'relcompat' in modules available to pve
    - new modules: base-pve, base-net, base-builtin-cleanup; replaces the same
      modules with a proxmox customized ones, with a small packages subset,
      no-op post-install, etc; the changes on system are minimized

  * net
    - fix: added laptop* to if_schema that needs network-manager by default

  * base/pkgs-install.{chimaera,daedalus}
    - add: dislocker package, to read bitlocker partitions
    - add: zstd, super fast compression suite

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 03 Feb 2025 09:13:07 +0100

kusa (1.5-ku25-01a) unstable; urgency=low

  * base-users/default_users
    - fix: typo in 'nobody' user definition, missing a semicolon ":" will result to
    	   wrong group setting

  * net
    - add: interfaces.kiosk+dhcp

  * srv-virt
    - fix: removed base-iscsi from required modules

  * base-extend
    - fix: hddtemp package no more available starting from daedalus

  * cln-kernels
    - upd: daedalus default kernel from 6.1.0-23-amd64 to 6.1.0-28-amd64

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 15 Jan 2025 17:09:46 +0100

kusa (1.5-ku24-09a) unstable; urgency=low

  * Ubuntu/srv-virt/pkgs-install
    - fix: retrocompatibily, package ku-virt-utils was missing

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 08 Sep 2024 08:47:49 +0200

kusa (1.5-ku24-08b) unstable; urgency=low

  * base-syslog
    - fix: debian/ubuntu uses 'root' as default user, not 'syslog'

  * cln-kernels
    - upd: daedalus, default kernel from 6.1.0-16-amd64 to 6.1.0-23-amd64

  * base-users
    - upd: as new debian/devuan policy, user nobody is now in the nogroup group, instead
    	   of nobody group; the latter is commented (will not be deleted from existing
	   installations, but not created on new ones)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 17 Aug 2024 12:36:45 +0200

kusa (1.5-ku24-07b) unstable; urgency=low

  * srv-virt
    - add: pkgs-install.daedalus (same of chimaera, at the moment)
  * base/run-install
    - fix: /etc/localtime link is missing full path

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 26 Mar 2024 15:22:09 +0100

kusa (1.5-ku24-03b) unstable; urgency=low

  * cli-zabbix
    - fix: wrong config dir /etc/zabbix/zabbix_agentd.conf.d (v5 packages vs v6 packages,
    	   directly from repos, used on zabbix server)

  * srv-glpi
    - add: glpi-genericobject-2.14.8 plugin
    - mod: kusa db definition moved from "glpi" to "srv-glpi"
    - fix: version checking logic

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 26 Mar 2024 14:12:16 +0100

kusa (1.5-ku24-03a) unstable; urgency=low

  * cli-glpi, relcompat
    - fix: not compatible with old ubuntu distros

  * base
    - fix: /etc/localtime is a symlink on modern systems, not a file (changed run-install
    	   script to update the symlink instead of installing a bare file)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 07 Mar 2024 07:26:51 +0100

kusa (1.5-ku24-01b) unstable; urgency=low

  * cli-glpi
    - fix: init script must run under bash, not sh

  * dev-generic
    - fix: now installs linux-headers only if they can be installed (if you are using a
    	   custom kernel, maybe you don't have access to related linux-header package)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 06 Mar 2024 18:03:00 +0100

kusa (1.5-ku24-01a) unstable; urgency=low

  * cln-kernels
    - upd: daedalus, to 6.1.0-16-amd64

  * mnt-vncserver
    - fix: don't restart service (=destroy any current, active session!)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 24 Jan 2024 17:12:36 +0100

kusa (1.5-ku23-11d) unstable; urgency=low

  * srv-glpi
    - add: notes.txt
    - add: plugin glpi-fields-1.21.6

  * (classes)
    - add: server.glpi

  * bin/ku-machine-icon
    - add: server.glpi



## kusa 1.5-ku25-10a

=== Makefile ===
# Makefile - main klabs project Makefile
#
# VERSION 1.4 (2021-10-26)
#
# note: if you modify this file, please change the version line above,
# ie appending a string like 'PATCHED BY xxx'
#
# (c) 2011-2021 Lorenzo Canovi <lorenzo.canovi@kubiclabs.com>
# for copyright see /usr/share/doc/jtools/copyright

# default target, preprocess control files
#
controls:
	ku/install.sh make_controls

build:

install: build
	DESTDIR=$(DESTDIR) ku/install.sh

clean:
	rm -rf $(DESTDIR)

doc:

mrproper: clean clean_controls

clean_controls:
	for file in `ls debian.in 2>/dev/null`; do rm -f debian/$$file; done
	[ -f ku/history ] && rm -f debian.in/changelog

# a clean debian package, use this target before exporting this project to public
debianize:
	$(MAKE) mrproper
	$(MAKE) controls
	jtdeb-clean

=== modules/net-vpn/Makefile ===
# ::maintainer::
# ::copy::
#
_lastmake: remotes makeconf.sh config Makefile
	./makeconf.sh
	touch _lastmake

=== modules/srv-mail/Makefile ===
# maintained by Allblue SA, Kubic Labs (IT Department) - Switzerland
# for copyright infos see /usr/share/doc/kusa/COPYRIGHT
#
SHELL	= /bin/bash
DBFILES	= virtual.db aliases.db transport.db sasl_passwd.db \
	  access_client.db access_helo.db access_sender.db \
	  access_recipient.db access_relay.db

_lastmake: $(DBFILES) *.cf *.sh Makefile *_checks
	/etc/init.d/postfix reload
	touch _lastmake

virtual.db:	virtual
		postmap /etc/postfix/virtual

aliases.db:	aliases
		postalias /etc/postfix/aliases

transport.db:	transport
		postmap /etc/postfix/transport

sasl_passwd.db:	sasl_passwd
		postmap /etc/postfix/sasl_passwd

access_client.db: access_client
		postmap /etc/postfix/access_client

access_helo.db:	access_helo
		postmap /etc/postfix/access_helo

access_sender.db: access_sender
		postmap /etc/postfix/access_sender

access_recipient.db: access_recipient
		postmap /etc/postfix/access_recipient

access_relay.db: access_relay
		postmap /etc/postfix/access_relay


# virtual, created by a shell script
#
virtual:	virtual.d/* virtual-rebuild.sh
		rm -f virtual.bad virtual.new
		./virtual-rebuild.sh > virtual.new
		[ -f virtual ] && mv virtual virtual.old || :
		mv virtual.new virtual

=== modules/srv-smail/Makefile ===
# /etc/postfix/Makefile (simple client version)
#
sasl_passwd.db:	sasl_passwd
	postmap sasl_passwd

../aliases.db:	../aliases
	newaliases

=== modules/srv-dns/local/Makefile ===
# /etc/dnslocal/Makefile
#
# ::copy::
# ::maintainer::

BUILD_CMD=/usr/sbin/kudjb-dns-rebuild

data.cdb: data
	tinydns-data
	sh /etc/init.d/ku-djbdns restart

data: $(BUILD_CMD) *.src *.resolv
	$(BUILD_CMD)

=== modules/srv-nagios/images/Makefile ===
GD2	:= $(shell ls *.png | sed -e 's/\.png/.gd2/')
GIF	:= $(shell ls *.png | sed -e 's/\.png/.gif/')
JPG	:= $(shell ls *.png | sed -e 's/\.png/.jpg/')

all: $(GD2) $(GIF) $(JPG)

%.gd2: %.png
	pngtogd2 $< $@ 0 1

%.gif: %.png
	convert $< $@

%.jpg: %.png
	convert $< $@

=== modules/Ubuntu/base-ws/shutter/Makefile ===
shutter.patches: shutter.klabs
	diff -u shutter.original shutter.klabs > shutter.patches || :

=== debian/changelog ===
kusa (1.5-ku25-10a) unstable; urgency=low

  * veeam-agent
    - add: new module, install and configure a default repo and job for
    	   veeam backups, Community Edition (no licence)
	   note: at the moment we only support SMB repositories
	   note: due CE licence, we cannot use scheduling, so we rely on cronjob,
	   	 see cron.d/veeam-agent for details, distfile for settings


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 28 Oct 2025 13:33:09 +0100

kusa (1.5-ku25-06a) unstable; urgency=low

  * srv-mail
    - fix: permissions on vmail installed files, causing dovecot to stop working

  * cln-kernels
    - upd: default kernel for daedalus, from 6.1.0-31-amd64 to 6.1.0-37-amd64

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 06 Jun 2025 11:00:48 +0200

=== debian/control ===
Source: kusa
Section: klabs
Priority: extra
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Maintainer: Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>
Homepage: http://www.kubiclabs.com/

Package: kusa
Architecture: all
Depends: ${misc:Depends}, liboptions-file-perl (>=2.8), ku-base (>=1.2-ku25-02a), ku-file-utils, ku-jtools (>=1.1), kuwatcher (>=0.3), ku-nagios-plugins (>=1.0-ku19-0), bc, bzip2, file
Description: KUBiC Labs Auto Builder tools - system autoconfiguration
 A class based system configuration tool, aimed to work on
 large networks, using a centralized configuration database
 and inheritance to propagate system settings.
 .
 This tool resides on top of packaging system, and works
 on configuration files and automation of packages
 installations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/kusa.sgml > kusa.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/kusa.
	$(MAKE) DESTDIR=$(CURDIR)/debian/kusa install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit --no-start --name=shutdown-log -- start 00 0 .	# halt/shutdown, start
	dh_installinit --no-start --name=shutdown-log -- start 00 6 .	# halt/shutdown, start
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kusa 1.5-ku25-12a

=== debian/changelog ===
kusa (1.5-ku25-12a) unstable; urgency=low

  base (prevent SSD swap trashing)
    - add: sysctl custom settings to reduce unnecessary SSD drives strain:

    	. vm.swappiness set to 90 instead of default 60
	. vm.vfs_cache_pressure set to 50 instead of default 5

    	see also dist-base, kusa db settings:

	. sysctl.vm_swappiness
	. sysctl.vfs_cache_pressure

  base (quiet HD for NAS)
    - add: sysctl custom settings for HDs usages, set common.quiet_hds to yes

  sbin/kusa-bootstrap
    - add: Devuan-6 to allowed distros


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 10 Dec 2025 11:51:34 +0100

## kusa 1.5-ku26-01a

=== debian/changelog ===
kusa (1.5-ku26-01a) unstable; urgency=low

  general: Devuan-6 (excalibur = Debian 13) support (D6, WIP)

  srv-web
    - mod: removed all Ubuntu stuff (original module moved into Ubuntu subdir)
    - add: D6, dist file for excalibur
    - mod: D6, standardized php.ini
    - fix: proper php.ini installed for 'cli' also

  srv-web-linfo
    - fix: check for php version (must be 7)

  base/run-install
    - fix: error if no files in /etc/sysctl.d directory

  builtin-cleanup
    - fix: D6, added excalibur to exclude libapparmor-perl install

  base-repos
    - fix: D6, switched to new keyring syntax (per repository)

  bin/ku-update-server-homepage
    - mod: minor changes to layout, better use of icons, no more lists, all
    	   icon based (must use updated ku-images package to work)

  sbin/kusa-functions.sh
    - new: added entries remove/replace in pkgs files list, you can list an entry
    	   starting with dash "-", so the entry will be removed from resulting
	   list; this will simplify the list management (up to now if a package
	   is no more available on a release, we was forced to edit ALL the
	   lists to remove the package and add it to ALL the previous release
	   specific list, now we can create the list for the new release, mark
	   the package to be removed, and add, if any, the replacements)

    - fix: wrong permissions on auto dist files in /etc/kusa/conf.d

  sbin/kusa-bootstrap
    - fix: stop using apt-key, now uses new format (per repository) gpg key definition;
    	   note that you need to update klabs repo list, too:

	   # update keyring
	   kusa-bootrap -k

	   # update apt lists
	   kusa-reconf -f base-repos


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 02 Jan 2026 17:58:31 +0100

## kusa 1.5-ku26-01b

=== debian/changelog ===
kusa (1.5-ku26-01b) unstable; urgency=low

  * classes
    - add: server.nextcloud

  * sudo
    - fix: renamed installed sudo files, now are numbered with the right
    	   precedence (first general ones, then more specific ones)

  * srv-nextcloud
    - WIP: proceeding with module implementation

  * omv-base
    - WIP: started OpenMediaVault support
	   - at the moment, only some packages install (general utils)
    	   - see ku-base changes, too (DISTRIB_IS_OMV added)

  * bin/ku-machine-icon
    - fix: typo for nextcloud (was nexcloud)

  * debian/control
    - del: removed depend from ku-nagios-plugins (>=1.0-ku19-0)
    	   (why was here? kusa doesn't needs any from this package,
	   maybe some problem with cli-nagios module, addressed in the
	   wrong way?)

  * base-extend/pkgs.install
    - del: removed minicom and statserial (who is them today?)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 19 Jan 2026 14:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: kusa
 Architecture: all
-Depends: ${misc:Depends}, liboptions-file-perl (>=2.8), ku-base (>=1.2-ku25-02a), ku-file-utils, ku-jtools (>=1.1), kuwatcher (>=0.3), ku-nagios-plugins (>=1.0-ku19-0), bc, bzip2, file
+Depends: ${misc:Depends}, liboptions-file-perl (>=2.8), ku-base (>=1.2-ku26-01a), ku-file-utils, ku-jtools (>=1.1), kuwatcher (>=0.3), ku-images (>=1.0-ku26-01a), bc, bzip2, file
 Description: KUBiC Labs Auto Builder tools - system autoconfiguration
  A class based system configuration tool, aimed to work on
  large networks, using a centralized configuration database

## kusa 1.5-ku26-01c

=== debian/changelog ===
kusa (1.5-ku26-01c) unstable; urgency=low

  * base
    - add: updatedb.conf new kusa db vars:

  	locate.prunenames   .git .bzr .hg .svn
  	locate.prunefs      NFS nfs nfs4 smbfs cifs
  	locate.prunepaths   (empty)

      network mounted fs pruning can be now disabled (so ENABLING scan)
      removing them from locate.prunfs var

    - fix: plocate package not yet available for jessie and ascii distros

  * srv-samba
    - add: samba share ABE enumeration flag, set "abe_access" Yes or No
    	   system wide (samba_share.abe_access) or for specific shares
	   (samba_share.NAME.abe_access)

  * cli-nfs/run-install
    - fix: calls mount -a on type nfs instead of nfs4
    - add: make mountpoint dirs immutable (chattr +i) so anyone can write
    	   inside if not mounted; this work only on unmounted dirs, so
	   to make it effective calls   umount -t nfs4 -a  before updating
	   cli-nfs module

  * bin/ku-machine-icon
    - fix: crash on line 136 if $DESC not defined and kusa-conf fails

  * cli-ssh (daedalus)
    - fix: wrong cipher list


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 31 Jan 2026 13:12:32 +0100
